Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class ExpressionEvaluator

    java.lang.Object
      |
      +--oracle.apps.cz.cio.ExpressionEvaluator

Direct Known Subclasses:
  CXExpressionEvaluator

public class ExpressionEvaluator
extends java.lang.Object

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Constructor Summary
`ExpressionEvaluator(oracle.apps.cz.cio.IRuntimeNode baseNode)`

Method Summary
`java.lang.Object` | `evaluateJavaSystemProperty(int sysPropId)` This method evaluates the Java System Property with the given id.
`java.lang.Object` | `evaluateJavaSystemProperty(java.lang.String propertyName)` This method evaluates the Java System Property with the given name.
`java.lang.Object` | `getExpressionValue(long exprNodeId, com.sun.java.util.collections.Map arguments)` This method evaluates the expression with the given ruleId and exprNodeId.
`boolean` | `isGlobalJavaSystemProperty(int sysPropId)` Returns true if the given ruleId corresponds to a session related Java System Property

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Constructor Detail

### ExpressionEvaluator

    public ExpressionEvaluator(oracle.apps.cz.cio.IRuntimeNode baseNode)

Method Detail

### getExpressionValue

    public java.lang.Object getExpressionValue(long exprNodeId,
                                               com.sun.java.util.collections.Map arguments)
                                        throws PropertyNotAvailableException

  This method evaluates the expression with the given ruleId and exprNodeId. If there are arguments defined in the expression, the values of those args should be contained in the arguments map.
    `PropertyNotAvailableException`

### evaluateJavaSystemProperty

    public java.lang.Object evaluateJavaSystemProperty(int sysPropId)
                                                throws PropertyNotAvailableException

  This method evaluates the Java System Property with the given id. If this is a node property, the node that the evaluator is associated with will be used for the evaluation
    `PropertyNotAvailableException`

### evaluateJavaSystemProperty

    public java.lang.Object evaluateJavaSystemProperty(java.lang.String propertyName)
                                                throws PropertyNotAvailableException

  This method evaluates the Java System Property with the given name. If this is a node property, the node that the evaluator is associated with will be used for the evaluation
    `PropertyNotAvailableException`

### isGlobalJavaSystemProperty

    public boolean isGlobalJavaSystemProperty(int sysPropId)

  Returns true if the given ruleId corresponds to a session related Java System Property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.